Subject: [RFC 3/3] ARM: dts: Don't overheat the Odroid XU3-Lite on high load

From: [email-masked] (Krzysztof Kozlowski)
Date: Thu, 18 Feb 2016 13:42:03 +0900

On 18.02.2016 11:36, Viresh Kumar wrote:
>>
>> BTW, I found the issue. The order of trip points in DT:
>> thermal_zone0/trip_point_0_hyst:5000
>> thermal_zone0/trip_point_0_temp:50000
>> thermal_zone0/trip_point_0_type:active
>> thermal_zone0/trip_point_1_hyst:5000
>> thermal_zone0/trip_point_1_temp:60000
>> thermal_zone0/trip_point_1_type:active
>> thermal_zone0/trip_point_2_hyst:5000
>> thermal_zone0/trip_point_2_temp:70000
>> thermal_zone0/trip_point_2_type:active
>> thermal_zone0/trip_point_3_hyst:0
>> thermal_zone0/trip_point_3_temp:120000	<---- this should be last one!
>> thermal_zone0/trip_point_3_type:critical
>> thermal_zone0/trip_point_4_hyst:5000
>> thermal_zone0/trip_point_4_temp:90000
>> thermal_zone0/trip_point_4_type:passive
>> thermal_zone0/trip_point_5_hyst:5000
>> thermal_zone0/trip_point_5_temp:110000
>> thermal_zone0/trip_point_5_type:passive
>>
>> After fixing the order in DT, the cpu cooler starts working.
> 
> Ahh, nice.

Damn, not entirely. I almost fried my Odroid (it survived 130 degrees of
C)... The TMU supports only 4 trip points, so when I added two new trip
points and reordered them... the last two (including critical) was not
receiving interrupts.

Polling mode is needed. I'll sent some patches soon...

BR,
Krzysztof